Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 117650 - app-antivirus/vlnx-432e-r2 ebuild SRC_URI unavailable for check-update script
Summary: app-antivirus/vlnx-432e-r2 ebuild SRC_URI unavailable for check-update script
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Timothy Redaelli (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 81745
  Show dependency tree
 
Reported: 2006-01-03 12:26 UTC by Todd Williams
Modified: 2006-12-31 04:14 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Todd Williams 2006-01-03 12:26:07 UTC
Attempts to install the vlnx-432e-r2 package fail due to an inability to connect to ftp://kane.evendata.net  This site appears to be down, which cripples the ability to install McAfee's virus scanner.  I've synced my portage tree as recently as today.  The problematic URI is: ftp://kane.evendata.net/pub/vlnx/check-updates.sh.gz

The actual output of the problem during an "emerge vlnx" is:

Calculating dependencies ...done!
>>> emerge (1 of 1) app-antivirus/vlnx-432e-r2 to /
>>> Downloading ftp://kane.evendata.net/pub/vlnx/check-updates.sh.gz
--15:18:43--  ftp://kane.evendata.net/pub/vlnx/check-updates.sh.gz
           => `/usr/portage/distfiles/check-updates.sh.gz'
Resolving kane.evendata.net... 216.105.107.2
Connecting to kane.evendata.net|216.105.107.2|:21... failed: Connection timed out.
Retrying.


Is there another source for this check-updates script, or some other workaround for this?
Comment 1 Todd Williams 2006-01-06 19:33:22 UTC
Additionally I found a thread on forums.gentoo.org where someone encountered the same problem as long ago as Nov. 11, 2005 and it appears to have never been resolved.

--Todd
Comment 2 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2006-01-27 17:39:42 UTC
ticho: bump.
Comment 3 bugs 2006-03-29 08:46:32 UTC
removing the SRC_URI and the install/execute from the ebuild, resulted in the old emerge of vlnx which had always worked in the past.
If I want to update virus definitions, I can always do it on my own...

Recommending a -r3 with that script removed, at least until it gets hosted somewhere more reliable. perhaps http://gentoo.org/~merlin
Comment 4 bugs 2006-03-29 08:48:34 UTC
... installed fine except for needing scan.dat and names.dat - that's a tad unusual.
But, not a big deal, those are easily locateable online.
Comment 5 bugs 2006-03-29 08:49:47 UTC
umm. and clean.dat sorry.
ok. all 3 of those. and most places that have one, have the other 2 :)
Comment 6 Carsten Lohrke (RETIRED) gentoo-dev 2006-06-29 17:46:04 UTC
Ebuild marked stable, but sources not fetchable for more than half a year, if I read this right. If no one cares for the package, it should better be removed from the tree.
Comment 7 Curtis Napier (RETIRED) gentoo-dev 2006-07-03 13:15:12 UTC
(In reply to comment #6)
> Ebuild marked stable, but sources not fetchable for more than half a year, if I
> read this right. If no one cares for the package, it should better be removed
> from the tree.
> 

Will you put out the 30-day notice to -dev and get rid of this? If not can I refer it to the tree cleaners? We have a large thread about this on the forum and we need to do something about this either way.
Comment 8 Curtis Napier (RETIRED) gentoo-dev 2006-07-27 12:47:25 UTC
re-assigned to tree-cleaners and cc'd maintainer-needed.
Comment 9 Cory Visi (RETIRED) gentoo-dev 2006-08-03 10:23:25 UTC
I moved check-updates.sh out of portage because it was quite large.  Then kane.evendata.net went down.  I will move this to dev/~merlin.

uvscan still works, and I am able to obtain the source reliably with the latest version.

Check-updates.sh puts the DAT files in the wrong directory when it performs an update.  I could alternatively turn this file into a patch.  If you can take this out of pending removal, and give me two weeks, I'll get it working.
Comment 10 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-08-03 15:24:45 UTC
All yours
Comment 11 Curtis Napier (RETIRED) gentoo-dev 2006-08-04 02:58:44 UTC
(In reply to comment #9)
> I moved check-updates.sh out of portage because it was quite large.  Then
> kane.evendata.net went down.  I will move this to dev/~merlin.
> 

Can you put this here instead?:

dev.gentoo.org:/space/distfiles-whitelist/current/

It will stay for 6 months and can be renewed if necessary. It makes it available on the public mirrors instead of putting strain on dev.gentoo.org[1].

> uvscan still works, and I am able to obtain the source reliably with the latest
> version.
> 
> Check-updates.sh puts the DAT files in the wrong directory when it performs an
> update.  I could alternatively turn this file into a patch.  If you can take
> this out of pending removal, and give me two weeks, I'll get it working.
> 

Thanks for this. A lot of users will be very grateful[1]. :-)


[1]http://www.gentoo.org/proj/en/infrastructure/mirrors/overview-distfile.xml
[2]https://forums.gentoo.org/viewtopic-t-475474.html
Comment 12 mren 2006-10-05 02:48:40 UTC
The ebuild is still broken in the actual portage tree.
Is there any progress?
Comment 13 Elfyn McBratney (beu) (RETIRED) gentoo-dev 2006-11-19 04:49:12 UTC
package.mask-ed; last rites e-mail will be sent out to -dev shortly.  Also removing merlin@g.o from the CC: since this bug is assigned to him.

Resolving CANTFIX.
Comment 14 Timothy Redaelli (RETIRED) gentoo-dev 2006-11-20 09:41:57 UTC
I got it
Comment 15 Charlie Shepherd (RETIRED) gentoo-dev 2006-11-20 13:12:09 UTC
drizzt: if you're maintaining this, can you remove maintainer-needed from CC?
Comment 16 Timothy Redaelli (RETIRED) gentoo-dev 2006-11-21 08:36:27 UTC
In CVS as release 4510e
Comment 17 solar (RETIRED) gentoo-dev 2006-12-11 10:02:23 UTC
This package will be removed from or p.masked in the tree. 
Reason being unresolvable security problem.
http://marc.theaimsgroup.com/?l=gentoo-dev&m=116585820326434&w=2
If you wish to see this package return to the tree. Please work with 
upstream and get the rpath problems resolved. A NULL rpath is harmful.